Bug 9930 - can't update patron info in ccsr
Summary: can't update patron info in ccsr
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low critical (vote)
Assignee: Kyle M Hall
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on: 7067
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-26 12:15 UTC by Nicole C. Engard
Modified: 2019-06-27 09:24 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9930 - can't update patron info in ccsr (1.46 KB, patch)
2013-03-26 12:28 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9930 - can't update patron info in ccsr (1.56 KB, patch)
2013-03-27 01:47 UTC, Liz Rea
Details | Diff | Splinter Review
[PASSED QA] Bug 9930 - can't update patron info in ccsr (1.72 KB, patch)
2013-03-27 05:42 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2013-03-26 12:15:26 UTC
With the new patron registration option patrons can also update their details in the opac and then it shows in the staff client that there is an update to approve.  This does not work in CCSR, only in Prog.
Comment 1 Kyle M Hall 2013-03-26 12:28:56 UTC Comment hidden (obsolete)
Comment 2 Liz Rea 2013-03-27 01:47:20 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-03-27 05:42:50 UTC
Created attachment 16924 [details] [review]
[PASSED QA] Bug 9930 - can't update patron info in ccsr

Test Plan:
1) Enable ccsr theme
2) Log into update, update personal details
3) Go to mainpage.pl in intranet
4) Note there is no alert for patron modifications
5) Apply patch
6) Repeat step 2-3
6) Note there is now an alert for patron modifications

Signed-off-by: Liz Rea <liz@catalyst.net.nz>
Passes tests, tested per test plan, no side effects noted.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Requires PatronSelfRegistration and PatronSelfRegistrationDefaultCategory
to make the form show up.
Comment 4 Jared Camins-Esakov 2013-03-30 01:10:06 UTC
This patch has been pushed to master.
Comment 5 Chris Cormack 2013-03-30 07:07:38 UTC
Pushed to 3.10.x will be in 3.10.5
Comment 6 Fridolin SOMERS 2013-06-04 12:47:33 UTC
(In reply to comment #5)
> Pushed to 3.10.x will be in 3.10.5

This patch depends on Bug 7067 which is only pushed in 3.12.
Actually in 3.10.x the link leads to 404 page.